JounQin - ng-rubick 0.0.1 devDependencies status

Refactor the whole Rubick project with better structure and AOT compiler

  • 58 Dependencies total
  • 45 Up to date
  • 0 Pinned, out of date
  • 13 Out of date
DependencyChangesRequiredStableLatestStatus
@angular/compiler
    ^8.0.28.2.149.0.0-rc.10
    @angular/compiler-cli
      ^8.0.28.2.149.0.0-rc.10
      @angular/language-service
        ^8.1.08.2.149.0.0-rc.10
        @bazel/typescript
          ^0.32.21.1.01.1.0
          @ngrx/store-devtools
            ^8.0.18.6.08.6.0
            @ngtools/webpack
              ^8.1.08.3.239.0.0-rc.10
              @types/copy-webpack-plugin
                ^5.0.05.0.05.0.0
                @types/debug
                  ^4.1.44.1.54.1.5
                  @types/html-webpack-plugin
                    ^3.2.03.2.13.2.1
                    @types/koa
                      ^2.0.492.11.02.11.0
                      @types/koa-compose
                        ^3.2.43.2.53.2.5
                        @types/koa-compress
                          ^2.0.92.0.92.0.9
                          @types/koa-logger
                            ^3.1.13.1.13.1.1
                            @types/koa-static-cache
                              ^5.1.05.1.05.1.0
                              @types/koa-webpack
                                ^5.0.15.0.15.0.1
                                @types/lodash
                                  ^4.14.1354.14.1494.14.149
                                  @types/mini-css-extract-plugin
                                    ^0.2.10.9.00.9.0
                                    @types/node
                                      ^12.0.1213.5.013.5.0
                                      @types/uglifyjs-webpack-plugin
                                        ^1.1.01.1.01.1.0
                                        @types/webpack
                                          ^4.4.344.41.34.41.3
                                          autoprefixer
                                            ^9.6.09.7.49.7.4
                                            codelyzer
                                              ^5.1.05.2.15.2.1
                                              copy-webpack-plugin
                                                ^5.0.35.1.15.1.1
                                                css-loader
                                                  ^3.0.03.4.23.4.2
                                                  cssnano
                                                    ^4.1.104.1.104.1.10
                                                    exports-loader
                                                      ^0.7.00.7.00.7.0
                                                      file-loader
                                                        ^4.0.05.0.25.0.2
                                                        font-awesome
                                                          ^4.7.04.7.04.7.0
                                                          html-loader
                                                            ^0.5.50.5.51.0.0-alpha.0
                                                            html-webpack-plugin
                                                              ^3.2.03.2.04.0.0-beta.11
                                                              husky
                                                                ^3.0.04.2.14.2.1
                                                                koa-webpack
                                                                  ^5.2.35.2.55.2.5
                                                                  lint-staged
                                                                    ^9.0.210.0.210.0.2
                                                                    lodash
                                                                      ^4.17.114.17.154.17.15
                                                                      mini-css-extract-plugin
                                                                        ^0.7.00.9.00.9.0
                                                                        node-sass
                                                                          ^4.12.04.13.14.13.1
                                                                          normalize.css
                                                                            ^8.0.18.0.18.0.1
                                                                            npm-run-all
                                                                              ^4.1.54.1.54.1.5
                                                                              postcss-loader
                                                                                ^3.0.03.0.03.0.0
                                                                                prettier
                                                                                  ^1.18.21.19.11.19.1
                                                                                  pug
                                                                                    ^2.0.42.0.42.0.4
                                                                                    pug-cli
                                                                                      ^1.0.0-alpha60.0.01.0.0-alpha6
                                                                                      pug-plain-loader
                                                                                        ^1.0.01.0.01.0.0
                                                                                        rimraf
                                                                                          ^2.6.33.0.03.0.0
                                                                                          sass-loader
                                                                                            ^7.1.08.0.28.0.2
                                                                                            sass-resources-loader
                                                                                              ^2.0.12.0.12.0.1
                                                                                              style-loader
                                                                                                ^0.23.11.1.31.1.3
                                                                                                ts-node
                                                                                                  ^8.3.08.6.28.6.2
                                                                                                  tslint
                                                                                                    ^5.18.06.0.06.0.0
                                                                                                    tslint-angular
                                                                                                      ^3.0.23.0.23.0.2
                                                                                                      tslint-config-prettier
                                                                                                        ^1.18.01.18.01.18.0
                                                                                                        tslint-config-standard
                                                                                                          ^8.0.19.0.09.0.0
                                                                                                          tslint-plugin-prettier
                                                                                                            ^2.0.12.1.02.1.0
                                                                                                            typescript
                                                                                                              ^3.5.23.7.53.8.0-dev.20200124
                                                                                                              uglifyjs-webpack-plugin
                                                                                                                ^2.1.32.2.02.2.0
                                                                                                                url-loader
                                                                                                                  ^2.0.13.0.03.0.0
                                                                                                                  webpack
                                                                                                                    ^4.35.24.41.55.0.0-beta.12
                                                                                                                    webpack-cli
                                                                                                                      ^3.3.53.3.104.0.0-beta.1
                                                                                                                      • 58 Dependencies total
                                                                                                                      • 45 Up to date
                                                                                                                      • 0 Pinned, out of date
                                                                                                                      • 13 Out of date